#!/bin/sh


# remove unused modules, so I can load better suited modules. (like ata).
#for i in $( cat /proc/modules | grep " 0 " | awk '{ print $1 }' ); do
#	rmmod $i
#done

mkdir /run
mkdir -p /dev/.udev/db/

if [ -e /sbin/udevd ]
then
        RESOLVENAMES=`udevd --help | grep -e "--resolve-names"`
        if [ -z "$RESOLVENAMES" ]
        then
                udevd &
        else
                udevd --resolve-names=never &
        fi
else
        /lib/systemd/systemd-udevd --resolve-names=never --daemon
fi
sleep 1
udevadm trigger
udevadm control --start-exec-queue

mdev -s

#udevsettle
