#!/bin/sh

# very very basic init, that just goes thought all scripts at /etc/rc0.d 
# and /etc/rc2.d, and finally stays waiting for /tmp/inithalt file and
# then runs /etc/rcS.d and halts. Easy to use, but limited.

if [ -e /bin/progress ]
then
	PROGRESS=progress
else
	PROGRESS=echo
fi

${PROGRESS} "Init" 58

echo "$@" > /etc/args


if echo "$@" | grep quiet > /dev/null; then 
	#clear
	#sleep 1
	if [ -e /usr/lib/usplash/usplash-artwork.so ]; then
		mkdir -p /dev/.initramfs
		sleep 1 
		usplash -c -d &
		sleep 1
	fi
fi

${PROGRESS} "..." 60

hostname $( cat /etc/hostname 2>/dev/null || echo "tuxum-bootcd" )

${PROGRESS} "run-parts rc0" 75

run-parts -a start /etc/rc0.d/

${PROGRESS} "run-parts rc2" 90

run-parts -a start /etc/rc2.d/

${PROGRESS} "Finished" 100

#chvt 8

while [ ! -e "/tmp/inithalt" ]; do
	sleep 10
done

/bin/bash

run-parts -a stop /etc/rcS.d/

halt
/initrd/sbin/halt
